## pyside6 6.9.1

=== requirements.txt ===
# Build dependencies
setuptools==72.1.0
packaging==24.1
build==1.2.1
wheel==0.43.0
distro==1.9.0; sys_platform == 'linux'
patchelf==0.17.2; sys_platform == 'linux'
# 2.0.2 is the last version that supports Python 3.9
numpy<=2.0.2; python_version <= '3.9'
numpy==2.1.3; python_version > '3.9'
mypy>=1.14.0; platform_machine == 'ARM64' and sys_platform == 'win32'
mypy[faster-cache]>=1.14.0; platform_machine != 'ARM64' and sys_platform == 'win32'
mypy[faster-cache]>=1.14.0; sys_platform != 'win32'

=== sources/pyside6/tests/QtCore/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

PYSIDE_TEST(attr_cache_py3k.py)
PYSIDE_TEST(bug_278_test.py)
PYSIDE_TEST(bug_300_test.py)
PYSIDE_TEST(bug_324.py)
PYSIDE_TEST(bug_332.py)
PYSIDE_TEST(bug_408.py)
PYSIDE_TEST(bug_428.py)
PYSIDE_TEST(bug_462.py)
PYSIDE_TEST(bug_505.py)
PYSIDE_TEST(bug_515.py)
PYSIDE_TEST(bug_606.py)
PYSIDE_TEST(bug_656.py)
PYSIDE_TEST(bug_686.py)
PYSIDE_TEST(bug_699.py)
PYSIDE_TEST(bug_706.py)
PYSIDE_TEST(bug_820.py)
PYSIDE_TEST(bug_826.py)
PYSIDE_TEST(bug_829.py)
PYSIDE_TEST(bug_835.py)
PYSIDE_TEST(bug_920.py)
PYSIDE_TEST(bug_927.py)
PYSIDE_TEST(bug_931.py)
PYSIDE_TEST(bug_938.py)
PYSIDE_TEST(bug_953.py)
PYSIDE_TEST(bug_987.py)
PYSIDE_TEST(bug_994.py)
PYSIDE_TEST(bug_1019.py)
PYSIDE_TEST(bug_1063.py)
PYSIDE_TEST(bug_1069.py)
PYSIDE_TEST(bug_1313.py)
PYSIDE_TEST(bug_PYSIDE-41.py)
PYSIDE_TEST(bug_PYSIDE-42.py)
PYSIDE_TEST(bug_PYSIDE-164.py)
PYSIDE_TEST(bug_PYSIDE-2745.py)
PYSIDE_TEST(blocking_signals_test.py)
PYSIDE_TEST(classinfo_test.py)
PYSIDE_TEST(child_event_test.py)
PYSIDE_TEST(deepcopy_test.py)
PYSIDE_TEST(deletelater_test.py)
PYSIDE_TEST(destroysignal_test.py)
PYSIDE_TEST(duck_punching_test.py)
PYSIDE_TEST(emoji_string_test.py)
PYSIDE_TEST(errormessages_with_features_test.py)
PYSIDE_TEST(feature_with_uic_test.py)
PYSIDE_TEST(hash_test.py)
PYSIDE_TEST(inherits_test.py)
PYSIDE_TEST(max_signals.py)
PYSIDE_TEST(missing_symbols_test.py)
PYSIDE_TEST(mockclass_test.py)
PYSIDE_TEST(multiple_feature_test.py)
PYSIDE_TEST(python_conversion.py)
PYSIDE_TEST(qabs_test.py)
PYSIDE_TEST(qabstractitemmodel_test.py)
PYSIDE_TEST(qanimationgroup_test.py)
PYSIDE_TEST(qbitarray_test.py)
PYSIDE_TEST(qbytearray_concatenation_operator_test.py)
PYSIDE_TEST(qbytearray_operator_iadd_test.py)
PYSIDE_TEST(qbytearray_operator_test.py)
PYSIDE_TEST(qbytearray_test.py)
PYSIDE_TEST(qcalendar_test.py)
PYSIDE_TEST(qcbor_test.py)
PYSIDE_TEST(qcollator_test.py)
PYSIDE_TEST(qcommandlineparser_test.py)
PYSIDE_TEST(qcoreapplication_argv_test.py)
PYSIDE_TEST(qcoreapplication_instance_test.py)
PYSIDE_TEST(qcoreapplication_test.py)
PYSIDE_TEST(qdatastream_test.py)
PYSIDE_TEST(qdatetime_test.py)
PYSIDE_TEST(qdate_test.py)
PYSIDE_TEST(qdir_test.py)
PYSIDE_TEST(qeasingcurve_test.py)
PYSIDE_TEST(qenum_test.py)
PYSIDE_TEST(qevent_test.py)
PYSIDE_TEST(qfileinfo_test.py)
PYSIDE_TEST(qfile_test.py)
PYSIDE_TEST(qfileread_test.py)
PYSIDE_TEST(qflags_test.py)
PYSIDE_TEST(qinstallmsghandler_test.py)
PYSIDE_TEST(qjsondocument_test.py)
PYSIDE_TEST(qlinef_test.py)
PYSIDE_TEST(qlocale_test.py)
PYSIDE_TEST(qlockfile_test.py)
PYSIDE_TEST(qmessageauthenticationcode_test.py)
PYSIDE_TEST(qmetaobject_test.py)
PYSIDE_TEST(qmetatype_test.py)
PYSIDE_TEST(qmimedatabase_test.py)
PYSIDE_TEST(qmodelindex_internalpointer_test.py)
PYSIDE_TEST(qobject_children_segfault_test.py)
PYSIDE_TEST(qobject_connect_notify_test.py)
PYSIDE_TEST(qobject_destructor.py)
PYSIDE_TEST(qobject_event_filter_test.py)
PYSIDE_TEST(qobject_inherits_test.py)
PYSIDE_TEST(qobject_objectproperty_test.py)
PYSIDE_TEST(qobject_parent_test.py)
PYSIDE_TEST(qobject_property_test.py)
PYSIDE_TEST(qobject_protected_methods_test.py)
PYSIDE_TEST(qobject_test.py)
PYSIDE_TEST(qobject_timer_event_test.py)
PYSIDE_TEST(qobject_tr_as_instance_test.py)
PYSIDE_TEST(qoperatingsystemversion_test.py)
PYSIDE_TEST(qpoint_test.py)
PYSIDE_TEST(qprocess_test.py)
PYSIDE_TEST(qproperty_decorator.py)
PYSIDE_TEST(qrect_test.py)
PYSIDE_TEST(qregularexpression_test.py)
PYSIDE_TEST(qresource_test.py)
PYSIDE_TEST(qsettings_test.py)
PYSIDE_TEST(qsize_test.py)
PYSIDE_TEST(qslot_object_test.py)
PYSIDE_TEST(qsocketnotifier_test.py)
PYSIDE_TEST(qsrand_test.py)
PYSIDE_TEST(qstandardpaths_test.py)
PYSIDE_TEST(qstorageinfo_test.py)
PYSIDE_TEST(qstring_test.py)
PYSIDE_TEST(qsysinfo_test.py)
PYSIDE_TEST(qtextstream_test.py)
PYSIDE_TEST(qthread_prod_cons_test.py)
PYSIDE_TEST(qthread_signal_test.py)
PYSIDE_TEST(qthread_test.py)
PYSIDE_TEST(qtimer_singleshot_test.py)
PYSIDE_TEST(qtimer_timeout_test.py)
PYSIDE_TEST(qtimezone_test.py)
PYSIDE_TEST(qtnamespace_test.py)
PYSIDE_TEST(qurl_test.py)
PYSIDE_TEST(qurlquery_test.py)
PYSIDE_TEST(quuid_test.py)
PYSIDE_TEST(qversionnumber_test.py)
PYSIDE_TEST(repr_test.py)
PYSIDE_TEST(setprop_on_ctor_test.py)
PYSIDE_TEST(signal_sender.py)
PYSIDE_TEST(snake_prop_feature_test.py)
PYSIDE_TEST(staticMetaObject_test.py)
PYSIDE_TEST(static_method_test.py)
PYSIDE_TEST(thread_signals_test.py)
PYSIDE_TEST(tr_noop_test.py)
PYSIDE_TEST(translation_test.py)
PYSIDE_TEST(unaryoperator_test.py)
PYSIDE_TEST(unicode_test.py)
PYSIDE_TEST(versioninfo_test.py)
PYSIDE_TEST(loggingcategorymacros_test.py)
PYSIDE_TEST(qrunnable_test.py)
PYSIDE_TEST(qmessage_logger_test.py)

if(X11)
    PYSIDE_TEST(qhandle_test.py)
endif()

=== sources/pyside6/tests/QtWidgets/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#Keep this in alphabetical sort

PYSIDE_TEST(action_clear.py)
PYSIDE_TEST(add_action_test.py)
PYSIDE_TEST(api2_test.py)
PYSIDE_TEST(application_test.py)
PYSIDE_TEST(bug_172.py)
PYSIDE_TEST(bug_243.py)
PYSIDE_TEST(bug_307.py)
PYSIDE_TEST(bug_338.py)
PYSIDE_TEST(bug_389.py)
PYSIDE_TEST(bug_400.py)
PYSIDE_TEST(bug_429.py)
PYSIDE_TEST(bug_430.py)
PYSIDE_TEST(bug_433.py)
PYSIDE_TEST(bug_467.py)
PYSIDE_TEST(bug_480.py)
PYSIDE_TEST(bug_512.py)
PYSIDE_TEST(bug_525.py)
PYSIDE_TEST(bug_546.py)
PYSIDE_TEST(bug_547.py)
PYSIDE_TEST(bug_549.py)
PYSIDE_TEST(bug_569.py)
PYSIDE_TEST(bug_575.py)
PYSIDE_TEST(bug_576.py)
PYSIDE_TEST(bug_585.py)
PYSIDE_TEST(bug_589.py)
PYSIDE_TEST(bug_635.py)
PYSIDE_TEST(bug_640.py)
PYSIDE_TEST(bug_653.py)
PYSIDE_TEST(bug_662.py)
PYSIDE_TEST(bug_667.py)
PYSIDE_TEST(bug_668.py)
PYSIDE_TEST(bug_674.py)
PYSIDE_TEST(bug_675.py)
PYSIDE_TEST(bug_688.py)
PYSIDE_TEST(bug_693.py)
PYSIDE_TEST(bug_696.py)
PYSIDE_TEST(bug_711.py)
PYSIDE_TEST(bug_722.py)
PYSIDE_TEST(bug_728.py)
PYSIDE_TEST(bug_736.py)
PYSIDE_TEST(bug_750.py)
PYSIDE_TEST(bug_778.py)
PYSIDE_TEST(bug_793.py)
PYSIDE_TEST(bug_811.py)
PYSIDE_TEST(bug_834.py)
PYSIDE_TEST(bug_836.py)
PYSIDE_TEST(bug_844.py)
PYSIDE_TEST(bug_854.py)
PYSIDE_TEST(bug_860.py)
PYSIDE_TEST(bug_862.py)
PYSIDE_TEST(bug_871.py)
PYSIDE_TEST(bug_879.py)
PYSIDE_TEST(bug_919.py)
PYSIDE_TEST(bug_921.py)
PYSIDE_TEST(bug_941.py)
PYSIDE_TEST(bug_964.py)
PYSIDE_TEST(bug_967.py)
PYSIDE_TEST(bug_972.py)
PYSIDE_TEST(bug_979.py)
PYSIDE_TEST(bug_988.py)
PYSIDE_TEST(bug_998.py)
PYSIDE_TEST(bug_1002.py)
PYSIDE_TEST(bug_1006.py)
PYSIDE_TEST(bug_1048.py)
PYSIDE_TEST(bug_1077.py)
PYSIDE_TEST(customproxywidget_test.py)
PYSIDE_TEST(grandparent_method_test.py)
PYSIDE_TEST(hashabletype_test.py)
PYSIDE_TEST(keep_reference_test.py)
PYSIDE_TEST(missing_symbols_test.py)
PYSIDE_TEST(paint_event_test.py)
PYSIDE_TEST(parent_method_test.py)
PYSIDE_TEST(private_mangle_test.py)
PYSIDE_TEST(python_properties_test.py)
PYSIDE_TEST(qabstracttextdocumentlayout_test.py)
PYSIDE_TEST(qaccessible_test.py)
PYSIDE_TEST(qaction_test.py)
PYSIDE_TEST(qapp_issue_585.py)
PYSIDE_TEST(qapp_test.py)
PYSIDE_TEST(qapplication_test.py)
PYSIDE_TEST(qapplication_exit_segfault_test.py)
PYSIDE_TEST(pyside3069.py)
PYSIDE_TEST(qdialog_test.py)
PYSIDE_TEST(qdynamic_signal.py)
# TODO: This passes, but requires manual button clicking (at least on mac)
#PYSIDE_TEST(qfontdialog_test.py)
PYSIDE_TEST(qformlayout_test.py)
PYSIDE_TEST(qgraphicsitem_test.py)
PYSIDE_TEST(qgraphicsitem_isblocked_test.py)
PYSIDE_TEST(qgraphicsobjectreimpl_test.py)
PYSIDE_TEST(qgraphicsproxywidget_test.py)
PYSIDE_TEST(qgraphicsscene_test.py)
PYSIDE_TEST(qinputdialog_get_test.py)
PYSIDE_TEST(qkeysequenceedit_test.py)
PYSIDE_TEST(qlabel_test.py)
PYSIDE_TEST(qlayout_ref_test.py)
PYSIDE_TEST(qlayout_test.py)
PYSIDE_TEST(qlcdnumber_test.py)
PYSIDE_TEST(qlistwidget_test.py)
PYSIDE_TEST(qlistwidgetitem_test.py)
PYSIDE_TEST(qmainwindow_test.py)
PYSIDE_TEST(qmenu_test.py)
PYSIDE_TEST(qmenuadd_test.py)
PYSIDE_TEST(qobject_mi_test.py)
PYSIDE_TEST(qpicture_test.py)
PYSIDE_TEST(qpushbutton_test.py)
PYSIDE_TEST(qsplitter_test.py)
PYSIDE_TEST(qstyle_test.py)
PYSIDE_TEST(qstyleoption_test.py)
PYSIDE_TEST(qtableview_test.py)
PYSIDE_TEST(qtabwidget_test.py)
PYSIDE_TEST(qtabwidgetclear_test.py)
PYSIDE_TEST(qtextedit_test.py)
PYSIDE_TEST(qtextedit_signal_test.py)
PYSIDE_TEST(qtreeview_test.py)
PYSIDE_TEST(qtreewidget_test.py)
PYSIDE_TEST(qtreewidgetitem_test.py)
PYSIDE_TEST(qtoolbar_test.py)
PYSIDE_TEST(qtoolbox_test.py)
PYSIDE_TEST(qvariant_test.py)
PYSIDE_TEST(qwidget_setlayout_test.py)
PYSIDE_TEST(qwidget_test.py)
PYSIDE_TEST(qcolormap_test.py)
PYSIDE_TEST(reference_count_test.py)
PYSIDE_TEST(signature_test.py)
PYSIDE_TEST(standardpixmap_test.py)
PYSIDE_TEST(test_module_template.py)
PYSIDE_TEST(virtual_protected_inheritance_test.py)
PYSIDE_TEST(virtual_pure_override_test.py)
PYSIDE_TEST(wrong_return_test.py)

=== debian/changelog ===
pyside6 (6.9.1-0zneon+24.04+noble+stable+build62) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 05:44:39 +0000

pyside6 (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 21:11:58 +1000

pyside6 (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 01:37:14 +1000

pyside6 (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 13 Apr 2025 07:18:52 +1000

pyside6 (6.8.2.1-3neon) noble; urgency=medium

  * Provide pydist overrides to prevent dh_python3 from adding unwanted
    dependencies when building modules using pyside6.

 -- Stuart Prescott <stuart@debian.org>  Sat, 08 Mar 2025 16:09:00 +1100

=== debian/control ===
Source: pyside6
Section: python
Priority: optional
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>,
           Stuart Prescott <stuart@debian.org>
Build-Depends: chrpath,
               clang,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               furo <!nodoc>,
               libclang-dev,
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
               ninja-build,
               patchelf,
               python3-dev,
               python3-distro,
               python3-myst-parser <!nodoc>,
               python3-numpy,
               python3-opengl,
               python3-packaging,
               python3-pip <!nocheck>,
               python3-pkginfo <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-wheel,
               qml6-module-qtqml-workerscript (>= 6.9) <!nocheck>,
               qml6-module-qtquick (>= 6.9) <!nocheck>,
               qml6-module-qtquick-controls (>= 6.9) <!nocheck>,
               qml6-module-qtquick-layouts (>= 6.9) <!nocheck>,
               qml6-module-qtquick-templates (>= 6.9) <!nocheck>,
               qml6-module-qtquick-window (>= 6.9) <!nocheck>,
               qt6-3d-dev (>= 6.9),
               qt6-base-dev (>= 6.9),
               qt6-base-private-dev (>= 6.9),
               qt6-charts-dev (>= 6.9),
               qt6-connectivity-dev (>= 6.9) [linux-any],
               qt6-datavis3d-dev (>= 6.9),
               qt6-declarative-dev (>= 6.9),
               qt6-declarative-private-dev (>= 6.9),
               qt6-graphs-dev (>= 6.9),
               qt6-httpserver-dev (>= 6.9),
               qt6-location-dev (>= 6.9),
               qt6-multimedia-dev (>= 6.9),
               qt6-networkauth-dev (>= 6.9),
               qt6-pdf-dev (>= 6.9) [amd64 arm64 armhf i386],
               qt6-positioning-dev (>= 6.9),
               qt6-qmllint-plugins (>= 6.9),
               qt6-qmltooling-plugins (>= 6.9),
               qt6-quick3d-dev (>= 6.9),
               qt6-remoteobjects-dev (>= 6.9),
               qt6-scxml-dev (>= 6.9),
               qt6-sensors-dev (>= 6.9),
               qt6-serialbus-dev (>= 6.9),
               qt6-serialport-dev (>= 6.9),
               qt6-shadertools-dev (>= 6.9),
               qt6-speech-dev (>= 6.9),
               qt6-svg-dev (>= 6.9),
               qt6-tools-dev (>= 6.9),
               qt6-virtualkeyboard-dev (>= 6.9),
               qt6-wayland-dev (>= 6.9) [linux-any],
               qt6-webchannel-dev (>= 6.9),
               qt6-webengine-dev (>= 6.9) [amd64 arm64 armhf i386],
               qt6-websockets-dev (>= 6.9),
               qt6-webview-dev (>= 6.9) [amd64 arm64 armhf i386],
               qtchooser,
               sip-tools (>= 6.5),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Conflicts: libpyside6-dev, libshiboken6-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://invent.kde.org/neon/qt6/pyside6.git
Vcs-Browser: https://invent.kde.org/neon/qt6/pyside6
Maintainer: Neon CI <neon@kde.org>

Package: libpyside6-dev
Section: libdevel
Architecture: any
Depends: libpyside6-py3-6.9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 (development files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside6 library.

Package: libpyside6-py3-6.9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside6-py3-6.2,
           libpyside6-py3-6.4,
           libpyside6-py3-6.6,
           libpyside6-py3-6.7,
           libpyside6-py3-6.8
Replaces: libpyside6-py3-6.2,
          libpyside6-py3-6.4,
          libpyside6-py3-6.6,
          libpyside6-py3-6.7,
          libpyside6-py3-6.8
Provides: libpyside6-py3
Description: Python 3 bindings for Qt 6 (base files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libshiboken6-dev
Section: libdevel
Architecture: any
Depends: libshiboken6-py3-6.9 (= ${binary:Version}),
         python3-dev,
         shiboken6 (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package provides the development headers for the libshiboken6 library.

Package: libshiboken6-py3-6.9
Section: libs
Architecture: any
Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken6-py3-6.2,
           libshiboken6-py3-6.4,
           libshiboken6-py3-6.6,
           libshiboken6-py3-6.7,
           libshiboken6-py3-6.8
Replaces: libshiboken6-py3-6.2,
          libshiboken6-py3-6.4,
          libshiboken6-py3-6.6,
          libshiboken6-py3-6.7,
          libshiboken6-py3-6.8
Provides: libshiboken6-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package contains the shared Python 3 library used by shiboken6.

Package: pyside6-tools
Architecture: any
Section: devel
Depends: python3-pyside6.qtcore,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: development tools for PySide6 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide6 ships Python bindings for the Qt 6 framework. This package ships
 the following accompanying tools:
  * pyside6-lupdate - update Qt Linguist translation files for PySide

Package: python-pyside6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt 6 (common documentation)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: python3-pyside6
Architecture: all
Depends: python3-pyside6.qt3danimation,
         python3-pyside6.qt3dcore,
         python3-pyside6.qt3dextras,
         python3-pyside6.qt3dinput,
         python3-pyside6.qt3dlogic,
         python3-pyside6.qt3drender,
         python3-pyside6.qtasyncio,
         python3-pyside6.qtbluetooth,
         python3-pyside6.qtcharts,
         python3-pyside6.qtconcurrent,
         python3-pyside6.qtdatavisualization,
         python3-pyside6.qtdbus,
         python3-pyside6.qtdesigner,
         python3-pyside6.qtdesigner-dbgsym,
         python3-pyside6.qtgraphs,
         python3-pyside6.qtgraphswidgets,
         python3-pyside6.qtgui,
         python3-pyside6.qthelp,
         python3-pyside6.qthttpserver,
         python3-pyside6.qtlocation,
         python3-pyside6.qtmultimedia,
         python3-pyside6.qtmultimediawidgets,
         python3-pyside6.qtnetwork,
         python3-pyside6.qtnetworkauth,
         python3-pyside6.qtnfc,
         python3-pyside6.qtopengl,
         python3-pyside6.qtopenglwidgets,
         python3-pyside6.qtpdf,
         python3-pyside6.qtpdfwidgets,
         python3-pyside6.qtpositioning,
         python3-pyside6.qtprintsupport,
         python3-pyside6.qtqml,
         python3-pyside6.qtquick,
         python3-pyside6.qtquick3d,
         python3-pyside6.qtquickcontrols2,
         python3-pyside6.qtquicktest,
         python3-pyside6.qtquickwidgets,
         python3-pyside6.qtremoteobjects,
         python3-pyside6.qtscxml,
         python3-pyside6.qtsensors,
         python3-pyside6.qtserialbus,
         python3-pyside6.qtserialport,
         python3-pyside6.qtspatialaudio,
         python3-pyside6.qtsql,
         python3-pyside6.qtstatemachine,
         python3-pyside6.qtsvg,
         python3-pyside6.qtsvgwidgets,
         python3-pyside6.qttest,
         python3-pyside6.qttexttospeech,
         python3-pyside6.qtuitools,
         python3-pyside6.qtwebchannel,
         python3-pyside6.qtwebenginecore,
         python3-pyside6.qtwebenginequick,
         python3-pyside6.qtwebenginewidgets,
         python3-pyside6.qtwebsockets,
         python3-pyside6.qtwebview,
         python3-pyside6.qtwidgets,
         python3-pyside6.qtxml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6, pyside6 provides Python
 bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package is a meta package to install all qt6 modules with Python
 3 bindings.

Package: python3-pyside6.qt3danimation
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qt3drender,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DAnimation module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DAnimation module.

Package: python3-pyside6.qt3dcore
Architecture: any
Depends: python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DCore module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DCore module.

Package: python3-pyside6.qt3dextras
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qt3drender,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DExtras module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DExtras module.

Package: python3-pyside6.qt3dinput
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE = 1

# Safety measure to ensure package names match SONAMEs
PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
ifeq ($(shell awk '/Package:/ {print $$2}' debian/control | grep -- -$(PYSIDE_MAJOR)$$),)
    $(error Please update package names for major version $(PYSIDE_MAJOR))
endif
ifeq ($(shell ls debian/lib* | grep -- -$(PYSIDE_MAJOR)),)
    $(error Please update files debian/lib*.* for major version $(PYSIDE_MAJOR))
endif

# don't set PYBUILD_NAME because we want the installed files to land in
# debian/tmp and then get split up into the feature packages.
export PYBUILD_SYSTEM = distutils

export MAIN_VERSION_UPSTREAM := $(shell echo $(DEB_VERSION_UPSTREAM))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Add CPPFLAGS to CXXFLAGS as CMake ignores CPPFLAGS by default
CXXFLAGS+=$(CPPFLAGS)
export CMAKE_BUILD_TYPE=RelWithDebInfo
export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)

# Work around buildd bug (https://bugs.debian.org/842565)
undefine XDG_RUNTIME_DIR

PYBUILD_CONFIGURE_ARGS = --verbose
PYBUILD_BUILD_ARGS = --skip-packaging --verbose-build
PYBUILD_BUILD_ARGS += --parallel=$(or $(DEB_BUILD_OPTION_PARALLEL),$(DEB_BUILD_OPTION_PARALLEL),1)
PYBUILD_INSTALL_ARGS = --reuse-build --verbose-build

## Package compilation options

# 1. if sccache is installed then use it

SCCACHE := $(shell command -v sccache 2> /dev/null)

ifdef SCCACHE
  SCCACHE_DIR ?= $(HOME)/.cache/sccache
  export SCCACHE_DIR
  PYBUILD_BUILD_ARGS += --compiler-launcher=sccache
execute_before_dh_auto_build:
	-sccache --start-server
endif

# 2. support 'nocheck' builds - building and running the tests is slow
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  PYBUILD_BUILD_ARGS += --build-tests
endif

# 3. support 'nodoc' builds - building the docs just needs lots of extra deps
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  PYBUILD_BUILD_ARGS += --build-docs
endif


export PYBUILD_BUILD_ARGS
export PYBUILD_INSTALL_ARGS



%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	# Record build in build index for test runner
	TODAY=`date -Id`; \
	mkdir -p build_history/$$TODAY; \
	echo $$PWD > build_history/$$TODAY/build_dir.txt; \
	py3versions -d >> build_history/$$TODAY/build_dir.txt \

execute_after_dh_auto_install:
	# Obtain a list of files built to make it easier to update *.install files.
	# dh_missing will check all the install files at the end
	echo ">>> In build"
	-find build
	echo ">>> In debian/tmp"
	-find debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_installdocs-indep:
	dh_installdocs -X.doctrees
	find debian -name __pycache__ -type d -exec rm -rf {} +

override_dh_installexamples-indep:
	find debian -name __pycache__ -type d -exec rm -rf {} +

execute_after_dh_install-arch:
	# remove extra copies of documentation
	rm -rf debian/libshiboken6-py3-*/usr/lib/python*/dist-packages/shiboken6/docs/
	# remove RUNPATH from libraries and executables
	# only look at files not symlinks
	find debian/*/usr/lib/ -name \*.so* -type f -exec chrpath -d {} \;
	chrpath -d \
	  debian/*/usr/lib/python3*/dist-packages/PySide6/Qt/libexec/*
	chrpath -d \
	  debian/*/usr/lib/python*/dist-packages/PySide6/assistant \
	  debian/*/usr/lib/python*/dist-packages/PySide6/balsam \
	  debian/*/usr/lib/python*/dist-packages/PySide6/balsamui \
	  debian/*/usr/lib/python*/dist-packages/PySide6/designer \
	  debian/*/usr/lib/python*/dist-packages/PySide6/linguist \
	  debian/*/usr/lib/python*/dist-packages/PySide6/lrelease \
	  debian/*/usr/lib/python*/dist-packages/PySide6/lupdate \
	  debian/*/usr/lib/python*/dist-packages/PySide6/qmlformat \
	  debian/*/usr/lib/python*/dist-packages/PySide6/qmllint \
	  debian/*/usr/lib/python*/dist-packages/PySide6/qmlls \
	  debian/*/usr/lib/python*/dist-packages/PySide6/qsb \
	  debian/*/usr/lib/python*/dist-packages/PySide6/svgtoqml \
	  debian/*/usr/lib/python*/dist-packages/shiboken6_generator/shiboken6

	# remove executable permissions
	find debian/pyside6-tools/usr/lib/python3*/dist-packages/PySide6/scripts/ -type f -exec chmod a-x {} +

	# fix up various paths in .pc, cmake and __init__.py
	debian/set-paths

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (mips64el,$(DEB_HOST_ARCH))
	# See https://bugs.debian.org/868745
	PIP_BREAK_SYSTEM_PACKAGES=1 \
	QSG_NO_DEPTH_BUFFER=1 xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test --buildno=-1'
else
	PIP_BREAK_SYSTEM_PACKAGES=1 \
	QTWEBENGINE_CHROMIUM_FLAGS="--disable-gpu --no-sandbox" \
	xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test --buildno=-1'
endif
endif

=== debian/watch ===
version=4
https://qt-mirror.dannhauer.de/official_releases/QtForPython/pyside6/PySide6-@ANY_VERSION@-src/pyside-setup-everywhere-src-@ANY_VERSION@.tar.xz
